### Virtual Method

# Atk Component contains

#### Declaration [src]

    gboolean
    contains (
      AtkComponent* component,
      gint x,
      gint y,
      AtkCoordType coord_type
    )

#### Description [src]

Checks whether the specified point is within the extent of the `component`.

Toolkit implementor note: ATK provides a default implementation for this virtual method. In general there are little reason to re-implement it.

#### Parameters

`x`

  Type: `gint`

  X coordinate.

`y`

  Type: `gint`

  Y coordinate.

`coord_type`

  Type: `AtkCoordType`

  Specifies whether the coordinates are relative to the screen or to the components top level window.

#### Return value

Type: `gboolean`

`TRUE` or `FALSE` indicating whether the specified point is within the extent of the `component` or not.